For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all documents.
      • POSTCreates a new document.
      • POSTRestores the document with the specified id from the trash.
      • GETReturns the document with the specified id.
      • PUTUpdates the document with the specified id.
      • DELDeletes the document with the specified id.
      • GETReturns the content of the current version of the document with the specified id.
      • PUTUpdates the content of the document with the specified id.
      • POSTAdds a list of document contributors to the document with the specified id.
      • PUTUpdates the access of a document contributor with the specified id to a document.
      • DELDeletes the document contributor with the specified id from a document.
      • POSTDuplicates the document with the specified id.
      • POSTAdds a list of document teams to a document with the specified id.
      • PUTUpdates the document team with the specified id.
      • DELDeletes the document team with the specified id from a document.
      • GETReturns all documents that belong to the document space with the specified id.
      • GETReturns all deleted documents of the document space with the specified id.
      • GETReturns the requesting user's private documents.
      • GETReturns the requesting user's private trashed documents.
      • GETReturns all documents that were shared with the requesting user.
      • GETRetrieves all documents for a project.
      • GETRetrieves all trashed documents for a project.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocuments

Deletes the document with the specified id.

DELETE
https://api.awork.com/api/v1/documents/:documentId
DELETE
/api/v1/documents/:documentId
$curl -X DELETE https://api.awork.com/api/v1/documents/documentId \
> -H "Authorization: Bearer <token>"
This operation moves the document to the trash. The document itself is moved to the trash synchronously, while its children and related entities will be moved to the trash asynchronously. <Check title="Required Permissions" icon="key">The user must have at least `manage` permissions for the specified document.</Check>
Was this page helpful?
Previous

Returns the content of the current version of the document with the specified id.

Next
Built with

This operation moves the document to the trash. The document itself is moved to the trash synchronously, while its children and related entities will be moved to the trash asynchronously.

Required Permissions
The user must have at least manage permissions for the specified document.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentIdstringRequiredformat: "uuid"
The id of the document to delete.

Query parameters

alsoDeleteChildrenbooleanOptionalDefaults to true
Whether to also delete children documents. If false, the children's parent references are updated to point to the deleted document's parent.

Response

No Content

Errors

401
Unauthorized Error
404
Not Found Error